import request from '@/utils/request'

// 查询保洁记录列表
export function listClean(query) {
  return request({
    url: '/system/clean/list',
    method: 'get',
    params: query
  })
}

// 查询保洁记录详细
export function getClean(cleanId) {
  return request({
    url: '/system/clean/' + cleanId,
    method: 'get'
  })
}

// 新增保洁记录
export function addClean(data) {
  return request({
    url: '/system/clean',
    method: 'post',
    data: data
  })
}

// 修改保洁记录
export function updateClean(data) {
  return request({
    url: '/system/clean',
    method: 'put',
    data: data
  })
}

// 删除保洁记录
export function delClean(cleanId) {
  return request({
    url: '/system/clean/' + cleanId,
    method: 'delete'
  })
}
